%define name    ophcrack
%define version 3.3.1
%define release %mkrel 1

Summary: 	Ophcrack - password cracker based on rainbow tables
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2
URL:		http://ophcrack.sourceforge.net/
Group:		File tools
Source:		http://ophcrack.sourceforge.net/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:  qt4-devel



%description
Ophcrack is a free password cracker based on rainbow tables. It is a very efficient 
implementation of rainbow tables done by the inventors of the method. It comes with a 
Graphical User Interface and runs on multiple platforms.

Features:
* » Runs on Windows, Linux/Unix, Mac OS X, ...
* » Cracks LM and NTLM hashes.
* » Free tables available for Windows XP and Vista.
* » Brute-force module for simple passwords.
* » Audit mode and CSV export.
* » Real-time graphs to analyze the passwords.
* » LiveCD available to simplify the cracking.
* » Loads hashes from encrypted SAM recovered from a Windows partition, Vista included.
* » Free and open source software (GPL).


%prep
%setup -q 

%build
%configure2_5x 
               

%make

%install
rm -rf %{buildroot} 
%makeinstall_std

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 src/gui/pixmaps/os.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 src/gui/pixmaps/os.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 src/gui/pixmaps/os.png %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ophcrack
Comment=Password cracker based on rainbow tables
Exec=%name
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;KDE;System;X-MandrivaLinux-System-FileTools;
EOF

%clean
rm -rf %{buildroot} 


%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}


%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS README AUTHORS COPYING
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Wed Feb 17 2010 slick50 <lxgator@gmail.com> 3.3.1-1pclos2010
- Initial pkg
